<template>
  <label class="checkbox" :style="checkboxStyle">
    <slot></slot>
    <input type="checkbox" :checked="value" @input="$emit('input', $event.target.checked)" />
    <span class="checkmark"></span>
  </label>
</template>

<script>
export default {
  name: 'Checkbox',
  props: {
    value: {
      type: Boolean,
      default: false
    },
    checkboxStyle: Object
  }
};
</script>

<style lang="scss" scoped>
@import './Checkbox.scss';
</style>